#include <iostream>
#include <bits/stdc++.h>
using namespace std;
 
int main()
{
    int N,j,i;
    double maxT,P[1000],A[1000],P2[1000],brojac,max;;
    cin>>N;
    max=0;
    maxT=0;
    for(i=0;i<N;i++)
    {
        cin>>A[i];
        cin>>P[i];
    }
    for(i=0;i<N;i++)
    {
        P2[i]=P[i];
    }
    sort(P, P + N);
    for(i=0;i<N;i++)
    {
        for(j=0;j<N;j++)
        {
            if(P2[j]>=P[i])
            {
                max=max+A[j];
            }
        }
        brojac=max/100*P[i];
        if(brojac>maxT)
            maxT=brojac;
        max=0;
    }
    cout<<setprecision(20)<<maxT;
    return 0;
}